// $Id$

/**
 * @file
 * File to hold custom context styling
 */

/**
 * Global variable for context styling.
 */
Drupal.openlayers.style_plugin.openlayers_test_test_plugin = function (params) {

  this.params = params;

  // Fill opacity context.  Sets random fill opacity.
  this.getFillOpacity = function(feature) {
    // Random fill opacity
    return Math.random();
  };
  
  // Point radius context.  Given paramters, gets a random
  // pointRadius.
  this.getpointRadius =  function(feature) {
    var high = parseInt(this.params.point_radius_high);
    var low = parseInt(this.params.point_radius_low);
    return Math.floor(Math.random() * (high-low+1)) + low
  };
};
